# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "asset_sync"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Simon Hamilton", "David Rice", "Phil McClure"]
  s.date = "2013-08-26"
  s.description = "After you run assets:precompile your compiled assets will be synchronised with your S3 bucket."
  s.email = ["shamilton@rumblelabs.com", "me@davidjrice.co.uk", "pmcclure@rumblelabs.com"]
  s.files = [".gitignore", ".travis.yml", "Appraisals", "CHANGELOG.md", "Gemfile", "README.md", "Rakefile", "asset_sync.gemspec", "docs/heroku.md", "gemfiles/rails_3.1.gemfile", "gemfiles/rails_3.2.gemfile", "gemfiles/rails_4.0.gemfile", "lib/asset_sync.rb", "lib/asset_sync/asset_sync.rb", "lib/asset_sync/config.rb", "lib/asset_sync/engine.rb", "lib/asset_sync/multi_mime.rb", "lib/asset_sync/railtie.rb", "lib/asset_sync/storage.rb", "lib/asset_sync/version.rb", "lib/generators/asset_sync/install_generator.rb", "lib/generators/asset_sync/templates/asset_sync.rb", "lib/generators/asset_sync/templates/asset_sync.yml", "lib/tasks/asset_sync.rake", "spec/dummy_app/Rakefile", "spec/dummy_app/app/assets/javascripts/application.js", "spec/fixtures/aws_with_yml/config/asset_sync.yml", "spec/fixtures/google_with_yml/config/asset_sync.yml", "spec/fixtures/rackspace_with_yml/config/asset_sync.yml", "spec/fixtures/with_invalid_yml/config/asset_sync.yml", "spec/integration/aws_integration_spec.rb", "spec/spec_helper.rb", "spec/unit/asset_sync_spec.rb", "spec/unit/google_spec.rb", "spec/unit/multi_mime_spec.rb", "spec/unit/rackspace_spec.rb", "spec/unit/railsless_spec.rb", "spec/unit/storage_spec.rb"]
  s.homepage = "https://github.com/rumblelabs/asset_sync"
  s.require_paths = ["lib"]
  s.rubyforge_project = "asset_sync"
  s.rubygems_version = "1.8.23"
  s.summary = "Synchronises Assets in a Rails 3 application and Amazon S3/Cloudfront and Rackspace Cloudfiles"
  s.test_files = ["spec/dummy_app/Rakefile", "spec/dummy_app/app/assets/javascripts/application.js", "spec/fixtures/aws_with_yml/config/asset_sync.yml", "spec/fixtures/google_with_yml/config/asset_sync.yml", "spec/fixtures/rackspace_with_yml/config/asset_sync.yml", "spec/fixtures/with_invalid_yml/config/asset_sync.yml", "spec/integration/aws_integration_spec.rb", "spec/spec_helper.rb", "spec/unit/asset_sync_spec.rb", "spec/unit/google_spec.rb", "spec/unit/multi_mime_spec.rb", "spec/unit/rackspace_spec.rb", "spec/unit/railsless_spec.rb", "spec/unit/storage_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<fog>, [">= 1.8.0"])
      s.add_runtime_dependency(%q<activemodel>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<jeweler>, [">= 0"])
      s.add_development_dependency(%q<uglifier>, [">= 0"])
      s.add_development_dependency(%q<asset_sync>, [">= 0"])
      s.add_development_dependency(%q<appraisal>, [">= 0"])
    else
      s.add_dependency(%q<fog>, [">= 1.8.0"])
      s.add_dependency(%q<activemodel>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<jeweler>, [">= 0"])
      s.add_dependency(%q<uglifier>, [">= 0"])
      s.add_dependency(%q<asset_sync>, [">= 0"])
      s.add_dependency(%q<appraisal>, [">= 0"])
    end
  else
    s.add_dependency(%q<fog>, [">= 1.8.0"])
    s.add_dependency(%q<activemodel>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<jeweler>, [">= 0"])
    s.add_dependency(%q<uglifier>, [">= 0"])
    s.add_dependency(%q<asset_sync>, [">= 0"])
    s.add_dependency(%q<appraisal>, [">= 0"])
  end
end
